#include <iostream>
#include <iomanip>
typedef long long llong;
const int maxn = 300000 + 10;

int a[maxn], n, k;
llong sums[maxn];

void solve()
{
    double ans = 0;
    for (int i = k ; i < 2*k ; ++i)
    {
        llong curr = 0;
        for (int j = 1 ; j <= n ; ++j)
        {
            curr += a[j];
            if (j >= i+1) curr -= a[j-i];
            ans = std::max(ans, curr / double(i));
        }
    }

    std::cout << std::fixed << std::setprecision(5) << ans << '\n';
}

void read()
{
    std::cin >> n >> k;
    for (int i = 1 ; i <= n ; ++i) std::cin >> a[i];
}

void fastIO()
{
    std::ios_base :: sync_with_stdio(0);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);
}

int main() 
{
    fastIO();
    read();
    solve();

    return 0;
}